[PHP] Php wersja 5

0

Mam zainstalowaną na serwerze PHP ver 5.2.0. Jednak skrypty wywoływane na stronie, w których występują klasy z konstruktorami i destruktorami, funkcje wprowadzone w wersji php 5 np. simplexml_load_string() nie działają. Nigdy nie instalowałem php < ver 5. W czym może tkwić problem?

0

Daj do pliku *.php5 tak jak na yoyo.pl ? Moze pójdzie...

0

no to chyba po prostu to nie jest naprawdę php 5, skąd go masz ?
nie wiem nic o tym żeby można było php 5 przestawić w "tryb pracy" czwórki

co mówi <?php phpinfo() ?> ?

0
bordeux napisał(a)

Daj do pliku *.php5 tak jak na yoyo.pl ? Moze pójdzie...
Zmieniłem nazwę, ale teraz nawet plik nie jest rozpoznawany jako skrypt, wyświetla się jak plik nieznanego typu (plik tekstowy) - na monitorze można podziwiać zawartość mojego kodu :-/

0

Uruchom skrypt zawierający następujący kod:

<?php
  phpinfo();
?>

I dowiesz się jaką masz naprawdę wersję PHP. A jaki to serwer? Twój własny, lokalny, czy jakiś zdalny?

0
Adamo napisał(a)

no to chyba po prostu to nie jest naprawdę php 5, skąd go masz ?
nie wiem nic o tym żeby można było php 5 przestawić w "tryb pracy" czwórki

co mówi <?php phpinfo() ?> ?

Nie wiem skąd mam tą wersje, bo nie ja go instalowałem na serwerze ale phpinfo() wyświetla wyraźnie "PHP Version 5.2.0", system: FreeBSD, Apache Version: Apache/2.2.3 (FreeBSD) mod_ssl/2.2.3 OpenSSL/0.9.7e DAV/2 PHP/5.2.0 with Suhosin-Patch SVN/1.4.2

cd.: php5 było kompilowane z portów freebsd

0

kij wie, download and compile again

0

Moze w takim razie pokaz przyklad klasy z konstruktorami i destruktorami? Moze tam jest cos nie tak?

0
johny_bravo napisał(a)

Moze w takim razie pokaz przyklad klasy z konstruktorami i destruktorami? Moze tam jest cos nie tak?
Wszystko jest w porządku, chciałem skorzystać ze skryptu wykorzystującego simplexml_load_string(), serwer zwrwaca błąd: "Fatal error: Call to undefined function simplexml_load_string() in /usr/home/ ..."

0

a masz załadowany moduł SimpleXML? Zobacz, czy jest taka sekcja w phpinfo (ja mam między session a sockets). No i pokaż ten kod klasy z konstruktorami i desktruktorami :P

inna sprawa - na avx.pl mam 5.0.4, a na localhoscie 5.2.0 - różnica jest :P. na starszej wersji nie działają np. konstrukcje typu "private function get($v)", są też problemy z "przechwyceniem" próby pobrania właściwości - na 5.2.0 metoda "$this->$v", gdzie $v odnosi się do właściwości private/protected działa, a na 5.0.4 nawet get nie jest wywoływany, wywala mi, że nie ma dostępu do właściwości...

1 użytkowników online, w tym zalogowanych: 0, gości: 1, botów: 0